RDKit: RDKit::ChemicalReactionParserException Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
RDKit::ChemicalReactionParserException Class Reference

used to indicate an error in parsing reaction data More...

`#include <ReactionParser.h>`

Inheritance diagram for RDKit::ChemicalReactionParserException:

## Public Member Functions
| ChemicalReactionParserException (const char *msg)
| construct with an error message More...
| ChemicalReactionParserException (const std::string &msg)
| construct with an error message More...
const char * | message () const
| get the error message More...
| ~ChemicalReactionParserException () throw ()

## Detailed Description

used to indicate an error in parsing reaction data

Definition at line 43 of file ReactionParser.h.

## Constructor & Destructor Documentation

RDKit::ChemicalReactionParserException::ChemicalReactionParserException | ( | const char * | msg | ) |
| inlineexplicit

construct with an error message

Definition at line 46 of file ReactionParser.h.

RDKit::ChemicalReactionParserException::ChemicalReactionParserException | ( | const std::string & | msg | ) |
| inlineexplicit

construct with an error message

Definition at line 48 of file ReactionParser.h.

RDKit::ChemicalReactionParserException::~ChemicalReactionParserException | ( |  | ) |
throw | ( |
| ) |  |
| inline

Definition at line 52 of file ReactionParser.h.

References RDKit::ChemicalReactionToRxnBlock(), RDKit::ChemicalReactionToRxnMol(), RDKit::ChemicalReactionToRxnSmarts(), RDKit::ChemicalReactionToRxnSmiles(), RDKit::RxnBlockToChemicalReaction(), RDKit::RxnDataStreamToChemicalReaction(), RDKit::RxnFileToChemicalReaction(), RDKit::RxnMolToChemicalReaction(), and RDKit::RxnSmartsToChemicalReaction().

## Member Function Documentation

const char* RDKit::ChemicalReactionParserException::message | ( |  | ) | const
| inline

get the error message

Definition at line 51 of file ReactionParser.h.

The documentation for this class was generated from the following file:

- ReactionParser.h